/**
 * Default classConfig, if not supplied from imported annotation file.
 * 
 * The classConfig object specified in this file describes the default
 * marker classes that can be used in the application. Each entry 
 * describes a class's name, description, and color. 
 * Order of classes matters for button order and sorting.
 */
const defaultClassConfig = [
    {
        name: "NILM",
        description: "Negative for intraepithelial lesion or malignancy",
        color: "#346d2e"
    },
    {
        name: "ASC-US",
        description: "Atypical squamous cells of undetermined significance",
        color: "#a0b520"
    },
    {
        name: "ASC-H",
        description: "Atypical squamous cell - cannot exclude HSIL",
        color: "#f0b500"
    },
    {
        name: "LSIL",
        description: "Low-grade squamous intraepithelial lesion",
        color: "#e86f26"
    },
    {
        name: "HSIL",
        description: "High-grade squamous intraepithelial lesion",
        color: "#f03c3c"
    },
    {
        name: "SCC",
        description: "Squamous cell carcinoma",
        color: "#67b5da"
    },
    {
        name: "AdC",
        description: "Adenocarcinoma",
        color: "#6754ff"
    },
    {
        name: "Other",
        description: "Does not fit other classes",
        color: "#919191"
    }
];
